Bug 158030 - bsd.java.mk : remove support for expired java/jdk14
Summary: bsd.java.mk : remove support for expired java/jdk14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-19 16:50 UTC by Rene Ladan
Modified: 2011-06-28 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.59 KB, patch)
2011-06-19 16:50 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2011-06-19 16:50:04 UTC
java/jdk14 has been expired since 2011-04-17, but cannot be removed because
it is referenced by bsd.java.mk.  The patch fixes this.

According to INDEX, nothing depends on java/jdk14, beta.freshports.org lists
four ports though:
devel/colorer
java/jboss3
security/jce_policy14
textproc/galax

With a patched bsd.java.mk, 'make all-depends-list' shows they will choose
java/linux-sun-jdk14 instead.
Comment 1 Edwin Groothuis freebsd_committer 2011-06-19 16:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

bsd.java.mk is glewis territory (via the GNATS Auto Assign Tool)
Comment 2 Greg Lewis freebsd_committer 2011-06-28 07:20:23 UTC
State Changed
From-To: open->feedback

Rene, I wonder why we don't just remove all these ports?  BTW, I think you 
missed japanese/xgate in that list. 

As far as I can tell none of them actually build, or at least they don't 
build for me, even with linux-sun-jdk14.  That port needs to go too 
as well, it's way past the end of life and doubtless has security issues. 

However, your patch is fine.  You can go ahead and commit.
Comment 3 dfilter service freebsd_committer 2011-06-28 19:47:00 UTC
rene        2011-06-28 18:46:46 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.java.mk 
  Log:
  - Unregister expired java/jdk14
  - Update example from java/jdk14 to java/jdk16
  
  PR:             ports/158030
  Submitted by:   myself
  Approved by:    glewis
  
  Revision  Changes    Path
  1.88      +3 -6      ports/Mk/bsd.java.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rene Ladan freebsd_committer 2011-06-28 19:49:21 UTC
State Changed
From-To: feedback->closed

Committed, approved by maintainer.